Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class DecisionNetworkFromBIF

    java.lang.Object
      |
      +--ve.DecisionNetwork
            |
            +--ve.DecisionNetworkFromBIF

public class DecisionNetworkFromBIF
extends DecisionNetwork

A DecisionNetwork that is constructed from the Bayesian Interchange Format (BIF).

Field Summary
`static int` | `maxNumParents`

Fields inherited from class ve.DecisionNetwork
`maxDomainSize, maxFactorSize, numProbFactors, numVariables, probFactors, stringToVar, variables`

Constructor Summary
`DecisionNetworkFromBIF(java.io.BufferedReader file, int maxVariables)`

Method Summary
`java.lang.String` | `parseBif(java.io.BufferedReader file)` This builds a new graph based on a string generated from a .bif file.
`java.lang.String` | `parseBifLine(java.lang.String inString)` Parses an individual "line" of a .bif file.
`private static boolean` | `sorted(Variable[] varray, int size)`

Methods inherited from class ve.DecisionNetwork
`getNumProbFactors, getNumVariables, getProbFactors, getSize, getStringToVar, getVariables, mysort, print, printBrief`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### maxNumParents

    public static final int maxNumParents

Constructor Detail

### DecisionNetworkFromBIF

    public DecisionNetworkFromBIF(java.io.BufferedReader file,
                                  int maxVariables)

Method Detail

### parseBif

    public java.lang.String parseBif(java.io.BufferedReader file)

  This builds a new graph based on a string generated from a .bif file.

### parseBifLine

    public java.lang.String parseBifLine(java.lang.String inString)

  Parses an individual "line" of a .bif file. A line is the definition of a variable or a variable's conditional probability table.

### sorted

    private static boolean sorted(Variable[] varray,
                                  int size)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD